All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview
Class DefaultTableRowModel

    com.sas.servlet.tbeans.tableview.DefaultTableRowModel

All Implemented Interfaces:
  TableRowModel

    public class DefaultTableRowModel

implements TableRowModel

The standard row-handler for a TableView.

Constructor Summary
`DefaultTableRowModel()` Creates a default table row model.

Method Summary
`TableRowRenderer` | `getColumnHeaderRowRenderer()` Returns the TableRowRenderer used to draw the begin and end row tags for the column headers row on the TableView.
`java.util.Locale` | `getLocale()` Gets the locale.
`TableCellRenderer` | `getRowHeaderRenderer()` Returns the TableCellRenderer used to draw the row headers.
`void` | `setColumnHeaderRowRenderer(TableRowRenderer renderer)` Sets the TableRowRenderer used to draw the begin and end row tags for the column headers row on the TableView
`void` | `setLocale(java.util.Locale loc)` Sets the locale.
`void` | `setRowHeaderRenderer(TableCellRenderer renderer)` Sets the TableCellRenderer used to draw the row headers.

Constructor Detail

### DefaultTableRowModel

    public DefaultTableRowModel()

  Creates a default table row model.

Method Detail

### setColumnHeaderRowRenderer

    public void setColumnHeaderRowRenderer(TableRowRenderer renderer)

  Sets the TableRowRenderer used to draw the begin and end row tags for the column headers row on the TableView

  Specified by:
    `setColumnHeaderRowRenderer` in interface `TableRowModel`
  Parameters:
    `renderer` - the new table row renderer

### getColumnHeaderRowRenderer

    public TableRowRenderer getColumnHeaderRowRenderer()

  Returns the TableRowRenderer used to draw the begin and end row tags for the column headers row on the TableView. When the columnHeaderRowRenderer is null, the TableView uses its defaultRowRenderer. The default value for a columnHeaderRowRenderer is null.

  Specified by:
    `getColumnHeaderRowRenderer` in interface `TableRowModel`
  Returns:
    the columnHeaderRowRenderer property

### setRowHeaderRenderer

    public void setRowHeaderRenderer(TableCellRenderer renderer)

  Sets the TableCellRenderer used to draw the row headers.

  Specified by:
    `setRowHeaderRenderer` in interface `TableRowModel`
  Parameters:
    `rowHeaderRenderer` - the new rowHeaderRenderer

### getRowHeaderRenderer

    public TableCellRenderer getRowHeaderRenderer()

  Returns the TableCellRenderer used to draw the row headers. When the rowHeaderRenderer is null, the RowHeader uses its defaultRenderer. The default value for a rowHeaderRenderer is null.

  Specified by:
    `getRowHeaderRenderer` in interface `TableRowModel`
  Returns:
    the rowHeaderRenderer property
  See Also:
    `BaseHeader.getDefaultRenderer()`

### setLocale

    public void setLocale(java.util.Locale loc)

  Sets the locale.

  Specified by:
    `setLocale` in interface `TableRowModel`
  Parameters:
    `loc` - an instance of java.util.Locale

### getLocale

    public java.util.Locale getLocale()

  Gets the locale.

  Specified by:
    `getLocale` in interface `TableRowModel`
  Returns:
    an instance of java.util.Locale

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.